module DualTVDD

export DualTVL1ROFOpProblem, ProjGradAlgorithm, ChambolleAlgorithm,
    SurrogateAlgorithm, DualTVDDAlgorithm, DualTVDDSurrogateAlgorithm

export init, step!, fetch, run
export fetch_u, normB

include("common.jl")
include("problems.jl")

include("nstep.jl")
include("chambolle.jl")
include("projgrad.jl")
include("surrogate.jl")
include("dualtvdd.jl")
include("dualtvdd_surrogate.jl")
#include("tvnewton.jl")

end # module
